Subject: bug#75056: 31.0.50; tty-child-frames with server / multiple clients possible hangs

From: Len Trigg <[email-masked]>
Date: Fri, 24 Jan 2025 04:45:57 +1300

On Wed, 8 Jan 2025 at 07:05, Len Trigg <[email-masked]> wrote:

> Eli, thanks for taking another look. AFAIK, posframe needs to be newer
> than what is released in ELPA. You can get the latest from <
> https://github.com/tumashu/posframe>
>
> I also think that if you had the older version you would not have seen a
> tty-child-frame at all and so not have triggered the bug I see - In your
> test did C-x b bring up a tty child frame in the center of the window, or a
> regular minibuffer at the bottom of the screen?
>
> (You are correct that I did not switch away from the selector in my repro
> steps, I selected the buffer and exited normally with RET).
>

I am back home from travelling and I see that emacs master has had several
changes related to tty child frames, so I rebuilt (as at commit
d83d090de11) and tried my test case again.  Now rather than "blocking",
emacs segfaults with:

Fatal error 11: Segmentation fault
Backtrace:
emacs(+0x1b1e12)[0x64b571445e12]
emacs(+0x57927)[0x64b5712eb927]
emacs(+0x57e6a)[0x64b5712ebe6a]
emacs(+0x1aff58)[0x64b571443f58]
emacs(+0x1affdd)[0x64b571443fdd]
/lib/x86_64-linux-gnu/libc.so.6(+0x45320)[0x726c12045320]
emacs(+0x699ef)[0x64b5712fd9ef]
emacs(+0xb192b)[0x64b57134592b]
emacs(+0xb309d)[0x64b57134709d]
emacs(+0x1a569e)[0x64b57143969e]
emacs(+0x286cc6)[0x64b57151acc6]
emacs(+0x6d004)[0x64b571301004]
emacs(+0x1a074b)[0x64b57143474b]
emacs(+0x1a1ab7)[0x64b571435ab7]
emacs(+0x1a3714)[0x64b571437714]
emacs(+0x221547)[0x64b5714b5547]
emacs(+0x18ecde)[0x64b571422cde]
emacs(+0x221489)[0x64b5714b5489]
emacs(+0x18ec71)[0x64b571422c71]
emacs(+0x196ce5)[0x64b57142ace5]
emacs(+0x197084)[0x64b57142b084]
emacs(+0x60e3f)[0x64b5712f4e3f]
/lib/x86_64-linux-gnu/libc.so.6(+0x2a1ca)[0x726c1202a1ca]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0x8b)[0x726c1202a28b]
emacs(+0x613e5)[0x64b5712f53e5]
Segmentation fault (core dumped)

Cheers,
Len.